Name:		compose-utils
Version:	0.1.4
Release:	1%{?dist}
Summary:	Utilities for working with composes

Group:		Development/Tools
License:	GPLv2
URL:		https://pagure.io/compose-utils
Source0:	https://pagure.io/releases/compose-utils/%{name}-%{version}.tar.bz2

BuildRequires:	python2-devel
BuildRequires:	python2-nose
BuildRequires:	python-productmd
BuildRequires:	kobo
BuildRequires:	kobo-rpmlib
Requires:	python-productmd
Requires:	kobo
Requires:	kobo-rpmlib

BuildArch:	noarch

%description
A set of tools for working with composes produced by pungi.


%prep
%setup -q


%build
%py2_build


%install
%py2_install


%check
make test


%files
%defattr(-,root,root,-)
%license COPYING GPL
%doc AUTHORS README.rst
%{python_sitelib}/*
%{_bindir}/*


%changelog
* Wed Apr 13 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.4-1
- Add image diff to changelog (Adam Williamson)

* Wed Mar 30 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.3-1
- Do not crash changelog when composeinfo.json is missing
- Run tests when building package

* Tue Mar 15 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.2-1
- Correctly handle epochs

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.1-1
- Fix wrong address in license

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.0-1
- Initial packaging
